Create a list
curl --request POST \
--url https://api.unif.dev/v1/lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Competitor shops — US skincare",
"entity_type": "shop",
"item_ids": [
"shp_01k3m9x7v2q8r4t6y0b1n5d7fa",
"shp_01k3m9x7v2q8r4t6y0b1n5d7fb"
]
}
'import requests
url = "https://api.unif.dev/v1/lists"
payload = {
"name": "Competitor shops — US skincare",
"entity_type": "shop",
"item_ids": ["shp_01k3m9x7v2q8r4t6y0b1n5d7fa", "shp_01k3m9x7v2q8r4t6y0b1n5d7fb"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Competitor shops — US skincare',
entity_type: 'shop',
item_ids: ['shp_01k3m9x7v2q8r4t6y0b1n5d7fa', 'shp_01k3m9x7v2q8r4t6y0b1n5d7fb']
})
};
fetch('https://api.unif.dev/v1/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "lst_01k3m9x7v2q8r4t6y0b1n5d7fa",
"object": "list",
"name": "<string>",
"description": "<string>",
"entity_type": "shop",
"item_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "filters.revenue.gte must be a non-negative number.",
"param": "filters.revenue.gte",
"doc_url": "https://unif.dev/docs/platform/errors#parameter_invalid",
"request_id": "req_01k3m9x7v2q8r4t6y0b1n5d7fa"
}
}Lists
Create a list
A list is a durable set of entities of one type — a competitor set, a creator shortlist, a product watchlist.
POST
https://api.unif.dev/v1
/
lists
Create a list
Authorizations
Send your workspace API key as a bearer token:
Authorization: Bearer unif_sk_live_...
Keys are scoped to a single workspace. See Authentication.
Body
application/json
Response
The created list.
Was this page helpful?